// For authoring Nightwatch tests, see
// http://nightwatchjs.org/guide#usage

//testcase name：银行账单查询
//author：feizhao
//date：2017-11-21
//discription：用于测试登陆后，综合业务-银行对账业务
//step：1.登录主页面  2.综合管理-银行对账查询
//修改人：
//修改日期：
//修改内容：

//Account setting.
 const accountConfig = {
  username: '1',
  password: '1',
}
 module.exports = {
   'login tests': function (browser) {
     browser
     .url('http://127.0.0.1:8080').maximizeWindow()
     .pause(1000)
     .waitForElementVisible('body', 100)
     .setValue('input[type=text]',accountConfig.username)
     .pause(100)
     .setValue('input[type=password]',accountConfig.password)
     .pause(100)
     .click('button[id=login-button]')
     .pause(1000)
//点击综合业务-银行对账查询
     .click('#vc-tree-name-综合业务')
     .pause(1000)
     .click('#vc-tree-name-银行对账')
     .pause(3000)
     .click('#f_bank_name')
     .pause(500)
     .click('#f_bank_name ul :first-child')
     .pause(500)
     .click('#unit div :first-child div :nth-child(4) button')
     .pause(3000)
     .click('#f_bank_name')
     .pause(500)
     .click('#工商银行')
     .pause(500)
     .click('#unit div :first-child div :nth-child(4) button')
     .pause(3000)
     .click('#f_bank_name')
     .pause(500)
     .click('#建设银行')
     .pause(500)
     .click('#unit div :first-child div :nth-child(4) button')
     .pause(3000)
     .end()
   }
 }
